POST /runway/pro/generate создает видео Runway GEN-4 из референсных изображений с поддержкой raw graphic transfer и управлением через X-Runway-Version.
curl --request POST \
--url https://api.cometapi.com/runway/pro/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callback_url": "http://baidu.com",
"image": "https://db.xiaohuhd.com/1.jpeg",
"model": "gen4",
"prompt": "Smile, Eat Burger"
}
'{
"code": 123,
"msg": "<string>",
"data": {
"task_id": "<string>"
},
"exec_time": 123
}generate Runway в reverse-format с одним или несколькими референсными изображениями.
X-Runway-Version, например 2024-11-06model: gen4image и prompt, описывающий движение или преобразованиеСоздайте задачу в reverse-format
Опрашивайте задачу
task_not_exist, подождите несколько секунд и повторите попытку.Bearer token authentication. Use your CometAPI key.
Optional Runway version header, for example 2024-11-06.
Webhook URL that receives a POST request with the result when the task completes.
Aspect ratio of the generated video, e.g. 1280:720.
Text prompt describing the desired video content or motion.
Model version to use, e.g. gen4.
URL of the source image to animate.
Artistic style for the generated video, e.g. cinematic.
Advanced generation options.
Show child attributes
URL of the end-frame image. When provided, the video transitions toward this frame.
OK
curl --request POST \
--url https://api.cometapi.com/runway/pro/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callback_url": "http://baidu.com",
"image": "https://db.xiaohuhd.com/1.jpeg",
"model": "gen4",
"prompt": "Smile, Eat Burger"
}
'{
"code": 123,
"msg": "<string>",
"data": {
"task_id": "<string>"
},
"exec_time": 123
}